* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f9;
    color: #333;
    line-height: 1.6;
}

header {
    position: relative;
    background-color: #1a355b;
    color: white;
    padding: 20px;
    text-align: center;
}

.logo {
    font-size: 2em;
    font-weight: bold;
}

.login-button {
    position: absolute;
    top: 20px;
    right: 20px;
}

.login-btn {
    background-color: #ffcc00; /* Giallo ben visibile */
    color: #1a355b;
    border: none;
    padding: 10px 20px;
    font-size: 1em;
    font-weight: bold;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.login-btn:hover {
    background-color: #e6b800;
}

.main {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 80vh;
    background: url('img/sfondo.jpg') no-repeat center center/cover;
    color: white;
    text-align: center;
}

table {
    width: 90%;
    border-collapse: collapse;
    text-align: center;
    font-family: Arial, sans-serif;
    background: rgba(255, 255, 255, 0.555);
    color: black;
    margin: 50px auto;
    border-radius: 0 0 10px 10px;
    overflow: hidden;
    font-size: 2em;
    border: 2px solid #1a355b;
    border-top: none;
    table-layout: fixed;
}

table th, table td {
    padding: 15px; /* Spaziatura interna */
    vertical-align: middle; /* Allinea verticalmente al centro */
    text-align: center; /* Allinea orizzontalmente al centro */
    width: 20%; /* Ogni colonna occupa il 20% della larghezza della tabella */
}

.title-bar {
    background: rgb(28, 11, 100);
    color: white;
    font-size: 2em;
    text-align: center;
    width: 100%;
}

footer {
    background-color: #333;
    color: white;
    text-align: center;
    padding: 10px;
    position: fixed;
    bottom: 0;
    width: 100%;
}

.table-button {
    background-color: #1a355b;
    color: white; 
    border: none; 
    padding: 10px 20px; 
    font-size: 1em;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease; 
}

.table-button:hover {
    background-color: #162d4d;
}
